> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amazonomics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get search data statistics



## OpenAPI

````yaml /api-reference/openapi.json get /v1/search/stats
openapi: 3.0.0
info:
  title: Amazonomics API
  version: 0.0.1
  description: The Amazonomics REST API. All endpoints need an API key.
servers:
  - url: https://api.amazonomics.com
security:
  - bearerAuth: []
paths:
  /v1/search/stats:
    get:
      tags:
        - Search
      summary: Get search data statistics
      responses:
        '200':
          description: Search data statistics retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchStatsResponse'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchStatsResponse'
components:
  schemas:
    SearchStatsResponse:
      type: object
      properties:
        stats:
          $ref: '#/components/schemas/SearchStats'
        error:
          type: object
          nullable: true
          properties:
            code:
              type: string
            message:
              type: string
            hint:
              type: string
          required:
            - code
            - message
      required:
        - stats
        - error
    SearchStats:
      type: object
      nullable: true
      properties:
        computedAt:
          type: string
          format: date-time
        totalDataPoints:
          type: string
          pattern: ^\d+$
      required:
        - computedAt
        - totalDataPoints
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````